### Method

# GtkSource SnippetManager list_all

since: 5.6

#### Declaration [src]

    GListModel*
    gtk_source_snippet_manager_list_all (
      GtkSourceSnippetManager* self
    )

#### Description [src]

Gets a `GListModel` of all snippets.

This can be used to get an unfiltered list of all of the snippets known to the snippet manager.

Available since: 5.6

#### Return value

Type: A list model of `GObject`

A `GListModel` of `GtkSourceSnippet`.

The returned data is owned by the instance.